Method: domains.users.patch

Updates a user for a domain. Only Owners and Admins can execute this RPC, only a user's domain permission will be allowed to be updated. Returns NOT_FOUND if the user does not exist. Returns INVALID_ARGUMENT if a permission is not provided or is PERMISSION_UNSPECIFIED, NONE, or OWNER.

HTTP request

PATCH https://gmailpostmastertools.googleapis.com/v2beta/{user.name=domains/*/users/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
user.name

string

Identifier. The resource name of the user. Format: users/{user} Note: {user} is the user's email address.

Query parameters

Parameters
updateMask

string (FieldMask format)

The list of fields to update.

Request body

The request body contains an instance of User.

Response body

If successful, the response body contains an instance of User.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/postmaster
  • https://www.googleapis.com/auth/postmaster.user

For more information, see the Authorization guide.